> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Past 24 Hour Trades by Token Address

> To query the last 300 trades in the past 24 hours, across all pools, based on the provided token contract address on a network

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

<PlanExclusivity tier="analyst_above" />

<CacheInfo rate={0} />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.onchain.networks.tokens.trades.get('0xdac17f958d2ee523a2206206994597c13d831ec7', {
    network: 'eth',
  });

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.onchain.networks.tokens.trades.get(
    "0xdac17f958d2ee523a2206206994597c13d831ec7",
    network="eth",
  )

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/pro-api.json get /onchain/networks/{network}/tokens/{token_address}/trades
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /onchain/networks/{network}/tokens/{token_address}/trades:
    get:
      summary: Past 24 Hour Trades by Token Address
      description: >-
        To query the last 300 trades in the past 24 hours, across all pools,
        based on the provided token contract address on a network
      operationId: token-trades-contract-address
      parameters:
        - name: network
          in: path
          required: true
          description: |-
            Network ID. 
            *refers to [`/onchain/networks`](/reference/networks-list).
          schema:
            type: string
            default: eth
        - name: token_address
          in: path
          required: true
          description: Token contract address.
          schema:
            type: string
            default: '0xdac17f958d2ee523a2206206994597c13d831ec7'
        - name: trade_volume_in_usd_greater_than
          in: query
          required: false
          description: |-
            Filter trades by trade volume in USD greater than this value. 
            Default value: 0
          schema:
            type: number
      responses:
        '200':
          description: Last 300 trades in past 24 hours from a token across all pools
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenTrades'
              example:
                data:
                  - id: >-
                      eth_25191526_0xe9d83fd4f20bd9a4d262df47aaed68822d8312adc903623dc08f004d0db42c48_418_1779943449
                    type: trade
                    attributes:
                      pool_address: '0x0d4a11d5eeaac28ec3f61d100daf4d40471f1852'
                      pool_dex: uniswap_v2
                      block_number: 25191526
                      tx_hash: >-
                        0xe9d83fd4f20bd9a4d262df47aaed68822d8312adc903623dc08f004d0db42c48
                      tx_from_address: '0xabba7bef6dffba87d66e6c3d2d612b1a57df2303'
                      from_token_amount: '18.0'
                      to_token_amount: '0.00906223763828302'
                      price_from_in_currency_token: '0.000503457646571279'
                      price_to_in_currency_token: '1.0'
                      price_from_in_usd: '0.996563779970825'
                      price_to_in_usd: '1979.43915790687'
                      block_timestamp: '2026-05-28T04:43:59Z'
                      kind: buy
                      volume_in_usd: '17.9381480394748'
                      from_token_address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                      to_token_address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
                  - id: >-
                      eth_25191526_0x41533cb177c05e4b651a1bac8cfb9497a7d325275b668ba6d42d0a2dbf01c3bc_121_1779943444
                    type: trade
                    attributes:
                      pool_address: '0x54578b6f942aeb23b67a8cef24220651306b8e26'
                      pool_dex: uniswap_v3
                      block_number: 25191526
                      tx_hash: >-
                        0x41533cb177c05e4b651a1bac8cfb9497a7d325275b668ba6d42d0a2dbf01c3bc
                      tx_from_address: '0x930b88a592a045c428f3d99f7f3e5f95e3967508'
                      from_token_amount: '1267.21454522135'
                      to_token_amount: '116.882923'
                      price_from_in_currency_token: '0.0000464421678267092'
                      price_to_in_currency_token: '0.000503514021305036'
                      price_from_in_usd: '0.0919444428573566'
                      price_to_in_usd: '0.996837967006657'
                      block_timestamp: '2026-05-28T04:43:59Z'
                      kind: sell
                      volume_in_usd: '116.513335341116'
                      from_token_address: '0x9aab071b4129b083b01cb5a0cb513ce7eca26fa5'
                      to_token_address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
components:
  schemas:
    TokenTrades:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - id
              - type
              - attributes
            properties:
              id:
                type: string
                description: Trade identifier
              type:
                type: string
                description: Resource type
              attributes:
                type: object
                required:
                  - pool_address
                  - pool_dex
                  - block_number
                  - tx_hash
                  - tx_from_address
                  - from_token_amount
                  - to_token_amount
                  - price_from_in_currency_token
                  - price_to_in_currency_token
                  - price_from_in_usd
                  - price_to_in_usd
                  - block_timestamp
                  - kind
                  - volume_in_usd
                  - from_token_address
                  - to_token_address
                properties:
                  pool_address:
                    type: string
                    description: Pool contract address where the trade occurred
                  pool_dex:
                    type: string
                    description: DEX identifier of the pool
                  block_number:
                    type: integer
                    description: Block number of the trade
                  tx_hash:
                    type: string
                    description: Transaction hash
                  tx_from_address:
                    type: string
                    description: Transaction sender address
                  from_token_amount:
                    type: string
                    description: Amount of token sent
                  to_token_amount:
                    type: string
                    description: Amount of token received
                  price_from_in_currency_token:
                    type: string
                    description: Price of from-token in currency token
                  price_to_in_currency_token:
                    type: string
                    description: Price of to-token in currency token
                  price_from_in_usd:
                    type: string
                    description: Price of from-token in USD
                  price_to_in_usd:
                    type: string
                    description: Price of to-token in USD
                  block_timestamp:
                    type: string
                    description: Block timestamp
                  kind:
                    type: string
                    description: Trade kind (buy or sell)
                  volume_in_usd:
                    type: string
                    description: Trade volume in USD
                  from_token_address:
                    type: string
                    description: From-token contract address
                  to_token_address:
                    type: string
                    description: To-token contract address
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````